/**
 *  Copyright (C) (2010-2012) Vadim Biktashev, Alexander Karpov, 
 *                            Irina Biktasheva, Ross McFarlane;
 *  Copyright (C) 2012 Sanjay Kharche
 *
 *  This file is part of Beatbox.
 *
 *   Beatbox is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Beatbox is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Beatbox.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "extern.h"
EXTERN long int HeapFree, HeapMax;

#define REALLOC(p,a) if(0==(p=Realloc(p,a)))ERROR2("could not allocate %ld bytes for %s",1L*a,#p);
#define CALLOC(p,a,b) if(0==(p=Calloc(a,b)))ERROR2("could not allocate %ld bytes for %s",1L*a*b,#p);
#define MALLOC(p,a) if(0==(p=Malloc(a)))ERROR2("could not allocate %ld bytes for %s",1L*a,#p);

#ifdef __HUGE__
  #include      <alloc.h>
  #define HUGE huge
  #define FAR far
  #define FREE(addr) if(addr) {farfree(addr);(addr)=NULL;HeapFree=HeapMax=farcoreleft();}
#else
  #include      <stdlib.h>
  #ifdef HUGE
  #undef HUGE
  #endif
  #define HUGE
  #define FAR
  #define FREE(addr) if(addr) {free(addr);check();(addr)=NULL;HeapFree=HeapMax=coreleft();}
  long int coreleft(void);
#endif

void check(void);
void FAR * Calloc(size_t nitems,size_t size);
void FAR * Malloc(size_t size);
void FAR * Realloc(void *block, size_t size);
